This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 296441 - dmidecode is missing
dmidecode is missing
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel-utils (Show other bugs)
3.9
ia64 Linux
low Severity medium
: ---
: ---
Assigned To: Jarod Wilson
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-19 10:33 EDT by Per Lindahl
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-19 11:16:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Per Lindahl 2007-09-19 10:33:17 EDT
Description of problem:
The dmidecode tool is missing in the package that is provided.


Version-Release number of selected component (if applicable):
kernel-utils-2.4-8.37.15

How reproducible:
Every time

Steps to Reproduce:
1.rpm -ivh kernel-utils
2.rpm -qil kernel-utils
3.The information will tell you that dmidecode should be installed with this
package but the program is not located in on the system.
  
Actual results:
-bash: dmidecode: command not found

Expected results:
Valuable data containing information about system BIOS etc.

Additional info:
Comment 1 Jarod Wilson 2007-09-19 10:46:52 EDT
What architecture is this on? dmidecode should be present in both the i386 and
x86_64 kernel-utils, but is not in the powerpc or itanium versions (though in
glancing through the spec file, it looks like we do mention dmidecode even on
those platforms).
Comment 2 Per Lindahl 2007-09-19 10:59:50 EDT
Sorry for that. Yes, it's an Itanium.

Is that a miss on your behalf and will it be made available? The reason to why
we need it is because we are looking for a easy solution to do inventory of
machine models. 
If there is another tool provided that exist for at least i386, x86_64 and
Itanium that would be sufficient for us. 
Comment 3 Jarod Wilson 2007-09-19 11:16:27 EDT
dmidecode was intentionally disabled on ia64 for RHEL3, as it didn't actually
work on the bulk of itanium systems out there. Its since improved in later
versions of dmidecode, and we do ship dmidecode for ia64 in RHEL4 and RHEL5.
With RHEL3 recently moved to maintenance mode, where only critical
crasher/security bugs are addressed, you're not going to see a RHEL3
kernel-utils with dmidecode for ia64.

However, I'm not aware of any reason you couldn't just rebuild the RHEL4
kernel-utils srpm for RHEL3, or selectively grab the ia64 dmidecode patch from
the RHEL4 srpm and add it to the RHEL3 one, to get what you're after.

Note You need to log in before you can comment on or make changes to this bug.